Morph subclass: #ScratchConnectorMorph
	instanceVariableNames: 'point2 point1 '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scratch-UI-Support'!

!ScratchConnectorMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/27/2009 19:53'!
drawOn: aCanvas

	(point1 isNil | point2 isNil) ifTrue: [^ self].
	aCanvas line: point1 to: point2 width: 1 color: color
! !

!ScratchConnectorMorph methodsFor: 'as yet unclassified' stamp: 'jens 3/23/2009 20:41'!
from: p1 to: p2

	| left right top bottom |
	((point1 = p1) & (point2 = p2)) ifTrue: [^ self].

	point1 _ p1.
	point2 _ p2.

	left _ point1 x min: point2 x.
	right _ point1 x max: point2 x.
	top _ point1 y min: point2 y.
	bottom _ point1 y max: point2 y.

	self position: left @ top.
	self extent: ((right - left) @ ((bottom - top) max: 1)).

! !

!ScratchConnectorMorph methodsFor: 'as yet unclassified' stamp: 'jens 1/27/2009 19:53'!
rootForGrabOf: aMorph
	"prevent the receiver from being picked up"

	^ nil
! !
