HatBlockMorph subclass: #ConfigurationHatMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Enchanting-Blocks'!
!ConfigurationHatMorph commentStamp: '<historical>' prior: 0!
Used in Enchanting.

This is a hat block that can not be moved by the user -- it is pinned in place.

It is used for configuring elements.  For example, it might say "Sensor Port 1"; whichever block is attached to it will define that sensor port.!


!ConfigurationHatMorph methodsFor: 'event handling' stamp: 'CWB 11/10/2010 20:19'!
mouseDown: evt
	"Disregard the mouse event -- do not respond to left or right clicks."
	"This prevents the item from being manipulated by the user"
	"It can not be moved, duplicated, or deleted."

	^ self.
! !


!ConfigurationHatMorph methodsFor: 'initialization' stamp: 'CWB 11/10/2010 21:12'!
title: aTitle

	self removeAllMorphs.

	scriptNameMorph _ StringMorph new
		contents: aTitle;
		font: (ScratchFrameMorph getFont: #Label);
		forceUnicodeRendering: true;
		color: Color white.
	self addMorph: scriptNameMorph.

! !
