package enchanting;

import lejos.nxt.comm.LCPResponder;
import lejos.nxt.comm.LCP;
import lejos.nxt.comm.NXTCommConnector;

public class CustomLCPResponder extends LCPResponder {

	public CustomLCPResponder(NXTCommConnector connector) {
		super(connector);
	}
	
	protected int command(byte[] inMsg, int len, byte[] reply) {
		int return_value = super.command(inMsg, len, reply);
		if (inMsg[1] == LCP.STOP_PROGRAM) {
			reply[2] = 0;	// == command ran successfully
		}
		return return_value;
	}
	
	protected void postCommand(byte[] inMsg, int inLen, byte[] replyMsg, int replyLen)
	{
		super.postCommand(inMsg, inLen, replyMsg, replyLen);
		if (inMsg[1] == LCP.STOP_PROGRAM) {
			System.exit(0);
		}
	}
}